Attribute VB_Name = "mOnTop"
' mOnTop
' ------

' Activates or deactivates "on-top" form behavior.

' Functions
' ---------
' MakeTopMost - Makes a form topmost
' OffTopMost - Make a form normal

Const SWP_NOMOVE = 2
Const SWP_NOSIZE = 1
Const FLAGS = SWP_NOMOVE Or SWP_NOSIZE
Const HWND_TOPMOST = -1
Const HWND_NOTOPMOST = -2

Declare Function SetWindowPos Lib "user32" (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, ByVal x As Long, ByVal y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long

Public Function MakeTopMost(frmTarget As Form) As Boolean
retval = SetWindowPos(frmTarget.hwnd, HWND_TOPMOST, 0, 0, 0, 0, FLAGS)
If retval = 0 Then MakeTopMost = False Else MakeTopMost = True
End Function

Public Function OffTopMost(frmTarget As Form) As Boolean
retval = SetWindowPos(frmTarget.hwnd, HWND_NOTOPMOST, 0, 0, 0, 0, FLAGS)
If retval = 0 Then OffTopMost = False Else OffTopMost = True
End Function

